1. ThunderStorm00's Avatar
    I used to have a Blackberry Bold 9000 OS 4.6.0.304 on the AT&T network which I got unlocked and switched to T-Mobile.


    After wiping my device and installing Blackberry Bold 9000 OS 5.0.0.348, My Blackberry Maps was gone.


    As a result, everything is running but one of my critical Apps the VQ Carfinder cannot run because the Blackberry Maps Application is not on there and I cannot download because the Blackberry Site says my device is not supported.


    Thinking maybe it was a remnant ghost problem (even though the device was wiped before 5.0 install) first thing I finally found and downloaded after much googling, but which didn't work was the AT&T Blackberry Maps Launcher from http://www.gln.bz/ads.nsf/bbmapslaunch.jad. I added that app but I get the error:

    "Uncaught exception: Could not start internal application"

    That's probably because I don't think the Maps application is physically on the Bold anymore to begin with.


    Apparently BBSAK had backed up Google Maps but NOT Blackberry Maps, or Blackberry Messenger, or Blackberry App World.

    Which actually kind of makes sense because I don't even see it in the list of applications unlike how it used to be on the 4.6.0.304 where I simply had to go and reinstall it from the link below if it ever went missing and the icon would show up again (I even had it bookmarked):

    http://mobileapps.blackberry.com/dev...?code=maps_sbi

    But when I try to do this on the newly installed 5.0.0.348 I get this:

    "Sorry, your device does not meet the system requirements that are needed to support Blackberry Maps."



    What's even weirder is that before I upgraded my OS I switched to T-Mobile from AT&T and everything is unlocked... Like I said, I was able to download Blackberry Messenger again and also Blackberry App World.



    I'm not sure but during installation of this OS 5.0.0.348 there was no option to download other things other than Core Apps/System Files etc. Everything else was grayed out.




    Can someone please, please help me?? I need Blackberry Maps (in order to work with other Apps) as I live in a densely populated metropolitan area and barring any help I will have no choice but to go back to the old version device software 4.6.0.304



    If you guys have the OS that comes bundled with Maps somewhere, I'll even wipe my device again and redownload from your posted link if that's what I have to do. But if someone has a direct link to the BB Maps JAD / COD / ALX file I would love to try that first.



    Any other ideas??
    02-12-10 09:54 PM
  2. jeffh's Avatar
    The OTA link for BBMaps is for obsolete OS versions only. I don't know why RIM still has it up. Normally BBMaps is installed as part of your OS. I don't know of a stand-alone install file.
    02-12-10 10:55 PM
  3. adelcastillo78's Avatar
    I'm having the same problem when I upgraded my Sprint Tour 9630 to the official 5.0 OS... I can't even download it using desktop manager!

    If anyone knows, pls share or PM me, thanks!

    Posted from my CrackBerry at wapforums.crackberry.com

    Posted from my CrackBerry at wapforums.crackberry.com
    03-22-10 01:13 AM
  4. breakmedown's Avatar
    I'm trying to get BB Maps too, but I just can't find it either. Why would they not have a standalone installer for it? It doesn't make any sense, especially since BBM is also installed with every OS. What's their deal?

    Posted from my CrackBerry at wapforums.crackberry.com
    04-04-10 04:30 PM
  5. jeffh's Avatar
    BBMaps is included in the OS. However, AT&T blocks it from being installed because they want you to use their mapping app. You may be able to install it using the techniques described in these threads. People have reported mixed results.

    http://forums.crackberry.com/f52/fin...maps-t-117957/
    http://forums.crackberry.com/f52/bbm...install-84231/
    http://forums.crackberry.com/f41/bla...-8310-a-81896/
    http://forums.crackberry.com/f41/why-no-bbmaps-t-53262/
    Get Blackberry Maps and Google Maps working on Beta OS 4.5 - BlackBerryForums.com : Your Number One BlackBerry Community
    04-04-10 05:05 PM
  6. breakmedown's Avatar
    I'm not looking to "uncover" the program. It's simply not installed on my phone. I don't have the program to uncover.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-05-10 01:47 AM
  7. jeffh's Avatar
    Do you have your OS installed on your PC? BBMaps is installed as part of the OS. It isn't a standalone program.
    04-05-10 09:49 PM
  8. dk-la's Avatar
    I'm having the same issue. Just upgraded to 5.0.0.624 from sprint and I can't find the icon anywhere and cant launch from poynt BUT you can see it in the service book list and it's not suppose to be a stand alone program so where is it?

    I also tried to delete it from the service book and then register again from the host routing table but still no go.

    Anyone??
    05-15-10 03:00 AM
LINK TO POST COPIED TO CLIPBOARD